Package com.privatejgoodies.forms.layout

# Class FormSpecParser

java.lang.Object
com.privatejgoodies.forms.layout.FormSpecParser

public final class FormSpecParser extends Object
Parses encoded column and row specifications. Returns ColumnSpec or RowSpec arrays if successful, and aims to provide useful information in case of a syntax error.

Version:
  $Revision: 1.12 $
Author:
  Karsten Lentzsch
See Also:
  - `ColumnSpec`
  - `RowSpec`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`FormSpecParser.FormLayoutParseException`
Used by the parser for encoded column and row specifications.

## Method Summary

Modifier and Type
Method
Description
`static void`
`fail(String source, int index, String description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fail

public static void fail(String source, int index, String description)